<?php	
	require_once('cMaterial.php');	
	require_once('cInicio.php');		
	require_once('cBD.php');
	require_once('cMenu.php');
	
	class gestion{ /* Clase que se encarga de gestionar los enlaces del menú. */
		
		private $materia;
		private $tema;
		private $subtema;
		
		public function __construct(){			
			if (isset($_GET['materia']))
				$this->materia = $_GET['materia'];
			else
				$this->materia = 1;
			if (isset($_GET['tema']))
				$this->tema = $_GET['tema'];
			else
				$this->tema = 0;
			if (isset($_GET['subtema']))
				$this->subtema = $_GET['subtema'];
			else
				$this->subtema = 0;	
		}
		public function __destruct(){		
		}
	
		public function mostrarContenido(){	/* Función que se encarga de mostrar el material seleccionado en el cuerpo de la página. */
			if ($this->subtema == "Inicio"){				
				$mostrar = new inicio();				
				echo $mostrar->mostrarInicio();
			}else{
				$bd=new bD();
				$consulta = "SELECT nomMaterial, tipoMaterial, recMaterial FROM material INNER JOIN subTema ON material.idSubtema=subtema.idSubtema INNER JOIN tema ON subtema.idTema=tema.idTema INNER JOIN Materia ON tema.idMateria=materia.idMateria WHERE materia.idMateria='".$this->materia."' AND subtema.idTema = '".$this->tema."' AND subtema.idSubtema = '".$this->subtema."'";
				if($resultado=$bd->consultaBD($consulta)){	
					while($row = $resultado->fetch_object()){
						$material = new cMaterial($row->nomMaterial,$row->tipoMaterial,$row->recMaterial);
						echo $material->mostrarMaterial();
					}				
				}else echo '<center>Lo sentimos. </br>Todav&iacute;a no tenemos material para esta secci&oacute;n.</center>';
			}		
		}
		public function mostrarMenuMateria(){	/* Función encargada de mostrar el contenido del menu Horizontal.*/
			$bd = new bD();
			$consulta = "SELECT nomMateria FROM materia ORDER BY idMateria";
			if ($resultado = $bd->consultaBD($consulta)){
				$i=0;
				while ($row = $resultado->fetch_object()){
					$materia[$i] = $row->nomMateria;
					$i++;
				}
				$menu = new menu($materia, NULL, NULL, NULL, NULL, 'menuHorizontal');
				$menu->mostrarMenu();
				unset ($materia);
			}
		}
		public function mostrarMenuTemas(){	/* Función encargada de mostrar el contenido del menu vertical.*/
			$bd = new bD();
			$consulta = "SELECT idTema, nomTema FROM tema WHERE idMateria = '".$this->materia."'";
			if ($resultado = $bd->consultaBD($consulta)){
				while ($row = $resultado->fetch_object()){
					$consulta2 = "SELECT nomSubtema, idSubtema FROM subtema WHERE idTema = '".$row->idTema."'";
					if($resultado2 = $bd->consultaBD($consulta2)){
						$i = 0;
						while ($row2 = $resultado2->fetch_object()){
							$subTema[$i] = $row2->nomSubtema;
							$idSubtema[$i] = $row2->idSubtema;
							$i++;
						}
					}
				$menu = new menu ($this->materia, $row->nomTema, $row->idTema, $subTema, $idSubtema, 'menuVertical');
				$menu->mostrarMenu();
				unset ($subTema);
				}
			}else
				header("Location: index.php");
		}
	}
?>