<?php
	
	require('cBD.php');
	
	class gestion{ /* Clase que gestiona las opciones disponibles del portal. */
		private $opcion = "Ver";
		private $titulo = "Ver";
		private $resultado;
		
		public function __construct(){
			if (isset($_GET['opcion'])){
				$this->opcion = $_GET['opcion'];
				$this->titulo = $this->opcion;
			}
		}
		public function __destruct(){
		}

		public function verContenido(){ /* Clase que muestra el contenido según la opción seleccionada. */
			$bd = new bD();
			echo ("<h3>- ".$this->titulo." -</h3>");
			/* Opción que muestra todo el contenido de la bbdd. */
			if ($this->opcion == "Ver"){
				$consulta="SELECT * FROM materia, tema, subtema, material WHERE materia.idMateria=tema.idMateria AND tema.idTema=subTema.idTema AND subtema.idSubtema=material.idSubtema";
				$this->resultado=$bd->consultaBD($consulta);
				$this->tablaResultado();
			/* Opción que muestra el formulario para insertar material en la bbdd. */
			}elseif ($this->opcion == "Insertar"){
				$this->fomulario("InsertarConsulta");
			/* Opción que gestiona el ingreso del formulario en la bbdd. */
			}elseif (($this->opcion == "InsertarConsulta")&&(isset($_POST['enviar']))){
				$consulta="INSERT INTO material(idSubtema, nomMaterial, tipoMaterial, recMaterial)VALUES('".$_POST['subTema']."', '".$_POST['nomMaterial']."', '".$_POST['tipoMaterial']."', '".$_POST['recMaterial']."')";
				$this->resultado=$bd->consultaBD($consulta);	
				echo "Se han introducido los siguientes valores en la bbdd";
				$consulta="SELECT * FROM materia, tema, subtema, material WHERE materia.idMateria=tema.idMateria AND tema.idTema=subTema.idTema AND subtema.idSubtema=material.idSubtema AND material.nomMaterial='".$_POST['nomMaterial']."'";  
				$this->resultado=$bd->consultaBD($consulta);		
				$this->tablaResultado();
			/* Opción que elimina de la base de datos el material seleccionado */
			}elseif ($this->opcion == "Eliminar"){
				$consulta="DELETE FROM material WHERE idMaterial='".$_GET['e']."'";
				$this->resultado=$bd->consultaBD($consulta);	
				echo "El material ha sido eliminado de la bbdd";
			/* Opción que muestra el formulario de modificar */
			}elseif ($this->opcion == "Modificar"){
				$consulta="SELECT * FROM material WHERE idMaterial='".$_GET['m']."'";
				$this->resultado=$bd->consultaBD($consulta);	
				$this->fomulario("ModificarConsulta");
			/* Opción que gestiona la modificacion del formulario en la base de datos */
			}elseif (($this->opcion == "ModificarConsulta")&&(isset($_POST['enviar']))){
				$consulta="UPDATE material SET idSubtema='".$_POST['subTema']."', nomMaterial='".$_POST['nomMaterial']."', tipoMaterial='".$_POST['tipoMaterial']."', recMaterial='".$_POST['recMaterial']."' WHERE idMaterial='".$_POST['idMaterial']."'";
				$this->resultado=$bd->consultaBD($consulta);	
				echo "Se han introducido los siguientes valores en la bbdd";
				$consulta = "SELECT * FROM materia, tema, subtema, material WHERE materia.idMateria=tema.idMateria AND tema.idTema=subTema.idTema AND subtema.idSubtema=material.idSubtema AND material.nomMaterial='".$_POST['nomMaterial']."'";
				$this->resultado=$bd->consultaBD($consulta);	
				$this->tablaResultado();
			/* Opcion no válida */
			}else
				echo "Opci&oacute;n no v&aacute;lida.";
		}

		private function tablaResultado(){ /* Función que genera la tabla de resultados de las consultas. */
			echo ("<table><tr><th>Materia</th><th>Tema</th><th>SubTema</th><th>Material</th><th colspan=2>Opciones</th></tr>");
			$par="b";
			while($row = $this->resultado->fetch_object()){
				if ($par=="a")
					$par="b";
				else
					$par="a";
				echo ("<tr><td class='".$par."'>".$row->nomMateria."</td><td class='".$par."'>".$row->nomTema."</td><td class='".$par."'>".$row->nomSubtema."</td><td class='".$par."'>".$row->nomMaterial."</td><td class='".$par."'><a href='index.php?opcion=Modificar&m=".$row->idMaterial."'>Modificar</a></td><td class='".$par."'><a href='index.php?opcion=Eliminar&e=".$row->idMaterial."'>eliminar</a></td></tr>");
			}
			echo ("</table>");
			$this->resultado->close();
		}
		
		private function fomulario($opcion){ /* Función que genera los formularios para las consultas. */
			if($opcion=="ModificarConsulta"){
				while($row = $this->resultado->fetch_object()){
				echo ("<form ACTION='index.php?opcion=".$opcion."' METHOD='POST'><table><tr><th>SubTema</th><th>Nombre material</th><th>Tipo material</th><th>Direcci&oacute;n recurso</th></tr>
					<tr><td>".$this->selectDefecto($row->idSubtema)."</td><td><input type='text' name='nomMaterial' value='".$row->nomMaterial."'></td><td>
					<select name='tipoMaterial' selected='".$row->tipoMaterial."'>
					<option value='0'>Youtube</option>
					</select></td><td><input type='text' name='recMaterial' value='".$row->recMaterial."'></td><td><input type='hidden' name='idMaterial' value='".$row->idMaterial."'></td></tr>
					<tr><td colspan=4><input type='submit' name = 'enviar' value='Enviar'></td></tr></table></form>");
				}
				$this->resultado->close();
			}elseif($opcion=="InsertarConsulta"){
				echo ("<form ACTION='index.php?opcion=InsertarConsulta' METHOD='POST'><table><tr><th>SubTema</th><th>Nombre material</th><th>Tipo material</th><th>Direcci&oacute;n recurso</th></tr>
					<tr><td><select name='subTema'>
					<option value='1'>Conjuntos num&eacute;ricos</option><option value='2'>C&aacute;lculos con n&uacute;meros reales</option><option value='3'>C&aacute;lculo con polinomios</option><option value='4'>Sucesiones y progresiones</option><option value='5'>C&aacute;lculo matricial</option><option value='6'>Sistema de ecuaciones lineales</option><option value='7'>Funciones circulares</option><option value='8'>Rectas en el plano</option><option value='9'>Geometr&iacute;a en el espacio</option><option value='10'>Funciones</option><option value='11'>Funci&oacute;n exponencial</option><option value='12'>Funci&oacute;n logar&iacute;tmica</option><option value='13'>Derivadas</option><option value='14'>Aplicaciones de la derivada</option><option value='15'>C&aacute;lculo de primitivas</option>
					</select></td><td><input type='text' name='nomMaterial'></td><td>
					<select name='tipoMaterial'>
					<option value='0'>Youtube</option>
					</select></td><td><input type='text' name='recMaterial'></td></tr>
					<tr><td colspan=4><input type='submit' name = 'enviar' value='Enviar'></td></tr></table></form>");
			}
		}
		private function selectDefecto($subtema){ /* Función que selecciona la opción por defecto del desplegable de subTema en la selección de un material según su subtema asignado. */
			$select = "<select name='subTema'>";
			$bd2 = new bD();
			$consulta="SELECT idSubtema, nomSubtema FROM subtema";
			$resultado=$bd2->consultaBD($consulta);
			while($row2 = $resultado->fetch_object()){
				if($subtema!=$row2->idSubtema)
					$select .="<option value='".$row2->idSubtema."'>".$row2->nomSubtema."</option>";
				else
					$select .="<option value='".$row2->idSubtema."' selected>".$row2->nomSubtema."</option>";
			}
			$select .="</select>";
			$resultado->close();
			return $select;
		}
	}
?>