-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 25-06-2013 a las 16:37:29
-- Versión del servidor: 5.5.24-log
-- Versión de PHP: 5.4.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `tfc`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `materia`
--

CREATE TABLE IF NOT EXISTS `materia` (
  `idMateria` int(3) NOT NULL AUTO_INCREMENT,
  `nomMateria` varchar(15) NOT NULL,
  PRIMARY KEY (`idMateria`),
  KEY `idMateria` (`idMateria`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `materia`
--

INSERT INTO `materia` (`idMateria`, `nomMateria`) VALUES
(1, 'Inicio'),
(2, 'Matemáticas');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `material`
--

CREATE TABLE IF NOT EXISTS `material` (
  `idMaterial` int(3) NOT NULL AUTO_INCREMENT,
  `idSubtema` int(3) NOT NULL,
  `nomMaterial` varchar(100) NOT NULL,
  `tipoMaterial` int(3) NOT NULL,
  `recMaterial` varchar(100) NOT NULL,
  PRIMARY KEY (`idMaterial`),
  KEY `idMaterial` (`idMaterial`,`idSubtema`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=45 ;

--
-- Volcado de datos para la tabla `material`
--

INSERT INTO `material` (`idMaterial`, `idSubtema`, `nomMaterial`, `tipoMaterial`, `recMaterial`) VALUES
(1, 1, 'El conjunto de los reales', 0, 'yH7XVlnGFmk?rel=0'),
(2, 1, 'Representación sobre la recta', 0, 'NgHnrEaryDQ?rel=0'),
(3, 1, 'Intervalos', 0, 'eCYHUjSi7r4?rel=0'),
(4, 1, 'Números comlejos como solución a ecuaciones cuadráticas', 0, 'w6NZP16kkN0?rel=0'),
(5, 1, 'Representación de los números complejos', 0, '0JoPwFHfYJQ?rel=0'),
(6, 1, 'Ejercicio intervalos', 0, 'EUw5ATVd_u4?rel=0'),
(7, 1, 'Ejercicio números complejos 1', 0, 'uEZSW1Bum-o?rel=0'),
(8, 1, 'Ejercicio números complejos 2', 0, 'dWk16TtpPxk?rel=0'),
(9, 2, 'La notación científica', 0, 'sUWx1TfjxkQ?rel=0'),
(10, 2, 'Cálculos y medidas aproximadas', 0, 'zEoxhdFPAdk?rel=0'),
(11, 2, 'Problemas de desigualdades con una incógnita', 0, 'jJIQOs4f9PA?rel=0'),
(12, 2, 'Ejercicio valores aproximados, errores', 0, 'TMSK2gXZULQ?rel=0'),
(13, 2, 'Ejercicio de notación científica', 0, '6FpQv-fMEaI?rel=0'),
(14, 3, 'Operaciones con polinomios', 0, 'SMEicM_3SzU?rel=0'),
(15, 3, 'Raíces de un polinomio y descomposición factorial', 0, '0cjfTPYYNcE?rel=0'),
(16, 3, 'Cálculos sencillos con fracciones algebraicas', 0, 'GpyTm-AYVWw?rel=0'),
(44, 1, 'borrar', 0, 'raiz');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `subtema`
--

CREATE TABLE IF NOT EXISTS `subtema` (
  `idSubtema` int(3) NOT NULL AUTO_INCREMENT,
  `idTema` int(3) NOT NULL,
  `nomSubtema` varchar(75) NOT NULL,
  PRIMARY KEY (`idSubtema`),
  KEY `idSubtema` (`idSubtema`,`idTema`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

--
-- Volcado de datos para la tabla `subtema`
--

INSERT INTO `subtema` (`idSubtema`, `idTema`, `nomSubtema`) VALUES
(1, 1, 'Conjuntos numéricos'),
(2, 1, 'Cálculo con números reales'),
(3, 1, 'Cálculo con polinomios'),
(4, 1, 'Sucesiones y progresiones'),
(5, 2, 'Cálculo matricial'),
(6, 2, 'Sistema de ecuaciones lineales'),
(7, 3, 'Funciones circulares'),
(8, 3, 'Rectas en el plano'),
(9, 3, 'Geometría en el espacio'),
(10, 4, 'Funciones'),
(11, 4, 'Función exponencial'),
(12, 4, 'Función logarítmica'),
(13, 4, 'Derivadas'),
(14, 4, 'Aplicaciones de la derivada'),
(15, 4, 'Cálculo de primitivas'),
(16, 5, 'Información'),
(17, 5, 'Contacto'),
(18, 6, 'Información'),
(19, 6, 'Consejos');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tablas`
--

CREATE TABLE IF NOT EXISTS `tablas` (
  `idTabla` int(5) NOT NULL AUTO_INCREMENT,
  `nomTabla` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  `cabeceraVertical` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  `cabeceraHorizontal` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  `dato` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`idTabla`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tema`
--

CREATE TABLE IF NOT EXISTS `tema` (
  `idTema` int(3) NOT NULL AUTO_INCREMENT,
  `idMateria` int(3) NOT NULL,
  `nomTema` varchar(75) NOT NULL,
  PRIMARY KEY (`idTema`),
  KEY `idTema` (`idTema`,`idMateria`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `tema`
--

INSERT INTO `tema` (`idTema`, `idMateria`, `nomTema`) VALUES
(1, 2, 'Aritmética y álgebra'),
(2, 2, 'Álgebra lineal'),
(3, 2, 'Geometría'),
(4, 2, 'Análisis'),
(5, 1, 'Portal'),
(6, 1, 'Pruebas');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
